name: speech_rec
cmd:
  - start: |
      if [ -z ${alsa_device+x} ]; 
        then 
                echo "alsa_device not set. Defaulting sysdefault."
                export alsa_device="sysdefault"
        else 
                echo "Got alsa_device ${alsa_device}."
        fi

        echo "VDEMO_PSA_CONFIG: ${VDEMO_PSA_CONFIG}"
        stdbuf -oL -eL ${prefix}/bin/pocketsphinx_adapter ${VDEMO_PSA_CONFIG} --hmm=${prefix}/share/pocketsphinx/model/en-us/en-us --dict=${prefix}/share/SpeechRec/psGrammar/dictionary/tobiDic.dic --alsa-device ${alsa_device}
  - check: |
      pgrep pocketsphinx_ad
tags:
  - speech
  - speech_rec
requires:
  - base_system
provides:
  - pocketsphinx
wait: 3
host: ${laptop}

#original vdemo definition
#"speech_rec,$upper, -t pocketsphinx -g speech -L 3 -w 2 -x: "
